Subject: bug#37483: [PATCH] macOS build error (aligned_alloc)

From: [email-masked]
Date: Mon, 23 Sep 2019 05:14:15 +0900

> After upgrading the macOS system dev tools, building Emacs fails because
> aligned_alloc is present in the system headers and can be linked with but
> isn't actually in the dynamic library (macOS 10.14, Xcode 11).

You would need to install the Command Line Developer Tools with
"xcode-select --install".  In general this is necessary when the
macOS version is older than the newest one Xcode supports.  In
the case of Xcode 11, it is macOS 10.15.

Actually you don't need Xcode for building Emacs, but the Command
Line Developer Tools would be sufficient.

			     YAMAMOTO Mitsuharu
			[email-masked]